
Subscription - Bug #2264

System crashes when sending e-mails after issue is created

21 Nov 2013 18:46 - Txinto Vaz

Status: Closed Start date: 21 Nov 2013

Priority: Normal Due date: 15 Jun 2014

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.1b   

Redmine version: 2.4.0 External issue:  

Description

I have deleted the plugin and everything is ok.

This is the trace:

Started POST "/projects/gatatac-web/issues" for 127.0.0.1 at 2013-11-21 18:33:29 +0000

Processing by IssuesController#create as HTML

  Parameters: {"utf8"=>"?", "authenticity_token"=>"blablabla", "issue"=>{"is_private"=>"0", "track

er_id"=>"1", "subject"=>"Notificaciones crash", "description"=>"", "status_id"=>"1", "priority_id"

=>"2", "assigned_to_id"=>"", "fixed_version_id"=>"", "parent_issue_id"=>"", "start_date"=>"2013-11

-21", "due_date"=>"", "estimated_hours"=>"", "done_ratio"=>"0"}, "commit"=>"Crear", "project_id"=>

"gatatac-web"}

  Current user: txinto (id=3)

Completed 500 Internal Server Error in 143.1ms

ArgumentError (wrong number of arguments (3 for 1)):

  app/models/mailer.rb:422:in `initialize'

  app/models/mailer.rb:445:in `method_missing'

  app/models/mailer.rb:52:in `block in deliver_issue_add'

  app/models/issue.rb:821:in `each_notification'

  app/models/mailer.rb:51:in `deliver_issue_add'

  app/models/issue.rb:1514:in `send_notification'

  app/models/issue.rb:163:in `create_or_update'

  app/controllers/issues_controller.rb:146:in `create'

History

#1 - 13 Jun 2014 22:25 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

- Target version set to 0.0.1b

#2 - 15 Jun 2014 23:31 - Andriy Lesyuk

- Due date set to 15 Jun 2014

- Status changed from Open to Closed

- % Done changed from 0 to 100
